| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
uiODViewer2DMgr Class Reference
uiODMain

`#include <uiodviewer2dmgr.h>`

Inheritance diagram for uiODViewer2DMgr:
[legend]

## Classes
struct | SelectedAuxAnnot

## Public Member Functions
void | addFaults (const TypeSet< EM::ObjectID > &)
void | addFaultSS2Ds (const TypeSet< EM::ObjectID > &)
void | addFaultSSs (const TypeSet< EM::ObjectID > &)
void | addHorizon2Ds (const TypeSet< EM::ObjectID > &)
void | addHorizon3Ds (const TypeSet< EM::ObjectID > &)
void | addNewTempFault (const EM::ObjectID &)
void | addNewTempFault (const EM::ObjectID &, const SceneID &)
void | addNewTempFaultSS (const EM::ObjectID &)
void | addNewTempFaultSS (const EM::ObjectID &, const SceneID &)
void | addNewTempFaultSS2D (const EM::ObjectID &)
void | addNewTempFaultSS2D (const EM::ObjectID &, const SceneID &)
void | addNewTrackingHorizon2D (const EM::ObjectID &)
void | addNewTrackingHorizon2D (const EM::ObjectID &, const SceneID &)
void | addNewTrackingHorizon3D (const EM::ObjectID &)
void | addNewTrackingHorizon3D (const EM::ObjectID &, const SceneID &)
void | addPickSets (const TypeSet< MultiID > &)
void | applClosing (CallBacker *)
void | cleanup ()
void | displayIn2DViewer (const VisID &, int attribid, bool wva)
void | displayIn2DViewer (const VisID &, int attribid, FlatView::Viewer::VwrDest)
Viewer2DID | displayIn2DViewer (const VolumeDataPack &, const Attrib::SelSpec &, const FlatView::DataDispPars::VD &, FlatView::Viewer::VwrDest)
Viewer2DID | displayIn2DViewer (DataPackID, const Attrib::SelSpec &, const FlatView::DataDispPars::VD &, bool wva)
Viewer2DID | displayIn2DViewer (DataPackID, const Attrib::SelSpec &, const FlatView::DataDispPars::VD &, FlatView::Viewer::VwrDest)
Viewer2DID | displayIn2DViewer (Viewer2DPosDataSel &, bool wva, float initialx1pospercm=mUdf(float), float initialx2pospercm=mUdf(float))
Viewer2DID | displayIn2DViewer (Viewer2DPosDataSel &, FlatView::Viewer::VwrDest, float initialx1pospercm=mUdf(float), float initialx2pospercm=mUdf(float))
uiODViewer2D * | find2DViewer (const MouseEventHandler &)
uiODViewer2D * | find2DViewer (const Pos::GeomID &)
uiODViewer2D * | find2DViewer (const TrcKeyZSampling &)
uiODViewer2D * | find2DViewer (const Viewer2DID &)
uiODViewer2D * | find2DViewer (const VisID &)
void | getFaultSS2DVwr2DIDs (const EM::ObjectID &, TypeSet< Vis2DID > &) const
void | getFaultSSVwr2DIDs (const EM::ObjectID &, TypeSet< Vis2DID > &) const
void | getFaultVwr2DIDs (const EM::ObjectID &emid, TypeSet< Vis2DID > &) const
void | getHor2DVwr2DIDs (const EM::ObjectID &, TypeSet< Vis2DID > &) const
void | getHor3DVwr2DIDs (const EM::ObjectID &, TypeSet< Vis2DID > &) const
void | getLoadedFaults (TypeSet< EM::ObjectID > &) const
void | getLoadedFaultSS2Ds (TypeSet< EM::ObjectID > &) const
void | getLoadedFaultSSs (TypeSet< EM::ObjectID > &) const
void | getLoadedHorizon2Ds (TypeSet< EM::ObjectID > &) const
void | getLoadedHorizon3Ds (TypeSet< EM::ObjectID > &) const
void | getLoadedPickSets (TypeSet< MultiID > &) const
uiODViewer2D * | getParent2DViewer (const Vis2DID &)
void | getPickSetVwr2DIDs (const MultiID &mid, TypeSet< Vis2DID > &) const
void | getVWR2DDataGeomIDs (const uiODViewer2D *, TypeSet< Pos::GeomID > &) const
void | getVwr2DObjIDs (TypeSet< Vis2DID > &) const
bool | isItemPresent (const uiTreeItem *) const
int | nr2DViewers () const
void | remove2DViewer (const Viewer2DID &)
void | remove2DViewer (const VisID &)
void | removeFault (const EM::ObjectID &)
void | removeFaultSS (const EM::ObjectID &)
void | removeFaultSS2D (const EM::ObjectID &)
void | removeHorizon2D (const EM::ObjectID &)
void | removeHorizon3D (const EM::ObjectID &)
void | removePickSet (const MultiID &)
void | setupCurInterpItem (uiODViewer2D *)
void | surveyChangedCB (CallBacker *)
uiTreeFactorySet * | treeItemFactorySet2D ()
uiTreeFactorySet * | treeItemFactorySet3D ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static int | cColorColumn ()
static int | cNameColumn ()
static const char * | sKeyAttrID ()
static const char * | sKeyVisID ()
static const char * | sKeyWVA ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Public Attributes
CNotifier< uiODViewer2DMgr, Vis2DID > | vw2dObjAdded
CNotifier< uiODViewer2DMgr, Vis2DID > | vw2dObjToBeRemoved

## Protected Member Functions
| uiODViewer2DMgr (uiODMain *)
| ~uiODViewer2DMgr ()
uiODViewer2D & | addViewer2D (const VisID &)
uiODApplMgr & | applMgr ()
void | attachNotifiersAndSetAuxData (uiODViewer2D *)
void | create2DViewer (const uiODViewer2D &curvwr2d, const TrcKeyZSampling &newtkzs, const uiWorldPoint &initcentr)
void | fillPar (IOPar &) const
uiODViewer2D * | find2DViewer (int id, bool byvisid)
void | handleLeftClick (uiODViewer2D *)
void | homeZoomChangedCB (CallBacker *)
Line2DInterSection::Point | intersectingLineID (const uiODViewer2D *, float pos) const
void | mouseClickCB (CallBacker *)
void | mouseClickedCB (CallBacker *)
void | mouseMoveCB (CallBacker *)
void | reCalc2DIntersetionIfNeeded (const Pos::GeomID &)
void | remove2DViewer (int id, bool byvisid)
void | reSetPrevDragMode (uiODViewer2D *)
void | setAllIntersectionPositions ()
void | setAuxAnnotLineStyles (uiFlatViewer &, bool forx1)
void | setupFaults (uiODViewer2D *)
void | setupFaultSSs (uiODViewer2D *)
void | setupHorizon2Ds (uiODViewer2D *)
void | setupHorizon3Ds (uiODViewer2D *)
void | setupPickSets (uiODViewer2D *)
void | setVWR2DIntersectionPositions (uiODViewer2D *)
void | usePar (const IOPar &)
void | viewObjAdded (CallBacker *)
void | viewObjToBeRemoved (CallBacker *)
void | viewWinClosedCB (CallBacker *)
uiVisPartServer & | visServ ()
void | vw2DPosChangedCB (CallBacker *)

## Protected Attributes
uiODMain & | appl_
TypeSet< Pos::GeomID > | geom2dids_
Line2DIntersectionManager & | l2dim_
SelectedAuxAnnot | selauxannot_
uiTreeFactorySet * | tifs2d_
uiTreeFactorySet * | tifs3d_
ObjectSet< uiODViewer2D > | viewers2d_

## Friends
class | uiODMain

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiODViewer2DMgr()

uiODViewer2DMgr::uiODViewer2DMgr | ( | uiODMain * |  | ) |
| protected

## ◆ ~uiODViewer2DMgr()

uiODViewer2DMgr::~uiODViewer2DMgr | ( |  | ) |
| protected

## Member Function Documentation

## ◆ addFaults()

void uiODViewer2DMgr::addFaults | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addFaultSS2Ds()

void uiODViewer2DMgr::addFaultSS2Ds | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addFaultSSs()

void uiODViewer2DMgr::addFaultSSs | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addHorizon2Ds()

void uiODViewer2DMgr::addHorizon2Ds | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addHorizon3Ds()

void uiODViewer2DMgr::addHorizon3Ds | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addNewTempFault() [1/2]

void uiODViewer2DMgr::addNewTempFault | ( | const EM::ObjectID & |  | ) |

## ◆ addNewTempFault() [2/2]

void uiODViewer2DMgr::addNewTempFault | ( | const EM::ObjectID & | ,
|  | const SceneID & | )

## ◆ addNewTempFaultSS() [1/2]

void uiODViewer2DMgr::addNewTempFaultSS | ( | const EM::ObjectID & |  | ) |

## ◆ addNewTempFaultSS() [2/2]

void uiODViewer2DMgr::addNewTempFaultSS | ( | const EM::ObjectID & | ,
|  | const SceneID & | )

## ◆ addNewTempFaultSS2D() [1/2]

void uiODViewer2DMgr::addNewTempFaultSS2D | ( | const EM::ObjectID & |  | ) |

## ◆ addNewTempFaultSS2D() [2/2]

void uiODViewer2DMgr::addNewTempFaultSS2D | ( | const EM::ObjectID & | ,
|  | const SceneID & | )

## ◆ addNewTrackingHorizon2D() [1/2]

void uiODViewer2DMgr::addNewTrackingHorizon2D | ( | const EM::ObjectID & |  | ) |

## ◆ addNewTrackingHorizon2D() [2/2]

void uiODViewer2DMgr::addNewTrackingHorizon2D | ( | const EM::ObjectID & | ,
|  | const SceneID & | )

## ◆ addNewTrackingHorizon3D() [1/2]

void uiODViewer2DMgr::addNewTrackingHorizon3D | ( | const EM::ObjectID & |  | ) |

## ◆ addNewTrackingHorizon3D() [2/2]

void uiODViewer2DMgr::addNewTrackingHorizon3D | ( | const EM::ObjectID & | ,
|  | const SceneID & | )

## ◆ addPickSets()

void uiODViewer2DMgr::addPickSets | ( | const TypeSet< MultiID > & |  | ) |

## ◆ addViewer2D()

uiODViewer2D & uiODViewer2DMgr::addViewer2D | ( | const VisID & |  | ) |
| protected

## ◆ applClosing()

void uiODViewer2DMgr::applClosing | ( | CallBacker * |  | ) |

## ◆ applMgr()

uiODApplMgr & uiODViewer2DMgr::applMgr | ( |  | ) |
| inline protected

## ◆ attachNotifiersAndSetAuxData()

void uiODViewer2DMgr::attachNotifiersAndSetAuxData | ( | uiODViewer2D * |  | ) |
| protected

## ◆ cColorColumn()

static int uiODViewer2DMgr::cColorColumn | ( |  | ) |
| inline static

## ◆ cleanup()

void uiODViewer2DMgr::cleanup | ( |  | ) |

## ◆ cNameColumn()

static int uiODViewer2DMgr::cNameColumn | ( |  | ) |
| inline static

## ◆ create2DViewer()

void uiODViewer2DMgr::create2DViewer | ( | const uiODViewer2D & | curvwr2d,
|  | const TrcKeyZSampling & | newtkzs,
|  | const uiWorldPoint & | initcentr )
| protected

Parameters

  newtkzs | is the new TrcKeyZSampling for which a new uiODViewer2D will be created.
  curvwr2d | is the current 2D Viewer of which the newly created 2D Viewer will inherit Attrib::SelSpec and other display properties.
  initcentr |

## ◆ displayIn2DViewer() [1/7]

void uiODViewer2DMgr::displayIn2DViewer | ( | const VisID & | ,
|  | int | attribid,
|  | bool | wva )

## ◆ displayIn2DViewer() [2/7]

void uiODViewer2DMgr::displayIn2DViewer | ( | const VisID & | ,
|  | int | attribid,
|  | FlatView::Viewer::VwrDest | )

## ◆ displayIn2DViewer() [3/7]

Viewer2DID uiODViewer2DMgr::displayIn2DViewer | ( | const VolumeDataPack & | ,
|  | const Attrib::SelSpec & | ,
|  | const FlatView::DataDispPars::VD & | ,
|  | FlatView::Viewer::VwrDest | )

## ◆ displayIn2DViewer() [4/7]

Viewer2DID uiODViewer2DMgr::displayIn2DViewer | ( | DataPackID | ,
|  | const Attrib::SelSpec & | ,
|  | const FlatView::DataDispPars::VD & | ,
|  | bool | wva )

## ◆ displayIn2DViewer() [5/7]

Viewer2DID uiODViewer2DMgr::displayIn2DViewer | ( | DataPackID | ,
|  | const Attrib::SelSpec & | ,
|  | const FlatView::DataDispPars::VD & | ,
|  | FlatView::Viewer::VwrDest | )

## ◆ displayIn2DViewer() [6/7]

Viewer2DID uiODViewer2DMgr::displayIn2DViewer | ( | Viewer2DPosDataSel & | ,
|  | bool | wva,
|  | float | initialx1pospercm = mUdf(float),
|  | float | initialx2pospercm = mUdf(float) )

## ◆ displayIn2DViewer() [7/7]

Viewer2DID uiODViewer2DMgr::displayIn2DViewer | ( | Viewer2DPosDataSel & | ,
|  | FlatView::Viewer::VwrDest | ,
|  | float | initialx1pospercm = mUdf(float),
|  | float | initialx2pospercm = mUdf(float) )

## ◆ fillPar()

void uiODViewer2DMgr::fillPar | ( | IOPar & |  | ) | const
| protected

## ◆ find2DViewer() [1/6]

uiODViewer2D * uiODViewer2DMgr::find2DViewer | ( | const MouseEventHandler & |  | ) |

## ◆ find2DViewer() [2/6]

uiODViewer2D * uiODViewer2DMgr::find2DViewer | ( | const Pos::GeomID & |  | ) |

## ◆ find2DViewer() [3/6]

uiODViewer2D * uiODViewer2DMgr::find2DViewer | ( | const TrcKeyZSampling & |  | ) |

## ◆ find2DViewer() [4/6]

uiODViewer2D * uiODViewer2DMgr::find2DViewer | ( | const Viewer2DID & |  | ) |

## ◆ find2DViewer() [5/6]

uiODViewer2D * uiODViewer2DMgr::find2DViewer | ( | const VisID & |  | ) |

## ◆ find2DViewer() [6/6]

uiODViewer2D * uiODViewer2DMgr::find2DViewer | ( | int | id,
|  | bool | byvisid )
| protected

## ◆ getFaultSS2DVwr2DIDs()

void uiODViewer2DMgr::getFaultSS2DVwr2DIDs | ( | const EM::ObjectID & | ,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getFaultSSVwr2DIDs()

void uiODViewer2DMgr::getFaultSSVwr2DIDs | ( | const EM::ObjectID & | ,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getFaultVwr2DIDs()

void uiODViewer2DMgr::getFaultVwr2DIDs | ( | const EM::ObjectID & | emid,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getHor2DVwr2DIDs()

void uiODViewer2DMgr::getHor2DVwr2DIDs | ( | const EM::ObjectID & | ,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getHor3DVwr2DIDs()

void uiODViewer2DMgr::getHor3DVwr2DIDs | ( | const EM::ObjectID & | ,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getLoadedFaults()

void uiODViewer2DMgr::getLoadedFaults | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedFaultSS2Ds()

void uiODViewer2DMgr::getLoadedFaultSS2Ds | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedFaultSSs()

void uiODViewer2DMgr::getLoadedFaultSSs | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedHorizon2Ds()

void uiODViewer2DMgr::getLoadedHorizon2Ds | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedHorizon3Ds()

void uiODViewer2DMgr::getLoadedHorizon3Ds | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedPickSets()

void uiODViewer2DMgr::getLoadedPickSets | ( | TypeSet< MultiID > & |  | ) | const

## ◆ getParent2DViewer()

uiODViewer2D * uiODViewer2DMgr::getParent2DViewer | ( | const Vis2DID & |  | ) |

## ◆ getPickSetVwr2DIDs()

void uiODViewer2DMgr::getPickSetVwr2DIDs | ( | const MultiID & | mid,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getVWR2DDataGeomIDs()

void uiODViewer2DMgr::getVWR2DDataGeomIDs | ( | const uiODViewer2D * | ,
|  | TypeSet< Pos::GeomID > & | ) const

## ◆ getVwr2DObjIDs()

void uiODViewer2DMgr::getVwr2DObjIDs | ( | TypeSet< Vis2DID > & |  | ) | const

## ◆ handleLeftClick()

void uiODViewer2DMgr::handleLeftClick | ( | uiODViewer2D * |  | ) |
| protected

## ◆ homeZoomChangedCB()

void uiODViewer2DMgr::homeZoomChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ intersectingLineID()

Line2DInterSection::Point uiODViewer2DMgr::intersectingLineID | ( | const uiODViewer2D * | ,
|  | float | pos ) const
| protected

## ◆ isItemPresent()

bool uiODViewer2DMgr::isItemPresent | ( | const uiTreeItem * |  | ) | const

## ◆ mouseClickCB()

void uiODViewer2DMgr::mouseClickCB | ( | CallBacker * |  | ) |
| protected

## ◆ mouseClickedCB()

void uiODViewer2DMgr::mouseClickedCB | ( | CallBacker * |  | ) |
| protected

## ◆ mouseMoveCB()

void uiODViewer2DMgr::mouseMoveCB | ( | CallBacker * |  | ) |
| protected

## ◆ nr2DViewers()

int uiODViewer2DMgr::nr2DViewers | ( |  | ) | const

## ◆ reCalc2DIntersetionIfNeeded()

void uiODViewer2DMgr::reCalc2DIntersetionIfNeeded | ( | const Pos::GeomID & |  | ) |
| protected

## ◆ remove2DViewer() [1/3]

void uiODViewer2DMgr::remove2DViewer | ( | const Viewer2DID & |  | ) |

## ◆ remove2DViewer() [2/3]

void uiODViewer2DMgr::remove2DViewer | ( | const VisID & |  | ) |

## ◆ remove2DViewer() [3/3]

void uiODViewer2DMgr::remove2DViewer | ( | int | id,
|  | bool | byvisid )
| protected

## ◆ removeFault()

void uiODViewer2DMgr::removeFault | ( | const EM::ObjectID & |  | ) |

## ◆ removeFaultSS()

void uiODViewer2DMgr::removeFaultSS | ( | const EM::ObjectID & |  | ) |

## ◆ removeFaultSS2D()

void uiODViewer2DMgr::removeFaultSS2D | ( | const EM::ObjectID & |  | ) |

## ◆ removeHorizon2D()

void uiODViewer2DMgr::removeHorizon2D | ( | const EM::ObjectID & |  | ) |

## ◆ removeHorizon3D()

void uiODViewer2DMgr::removeHorizon3D | ( | const EM::ObjectID & |  | ) |

## ◆ removePickSet()

void uiODViewer2DMgr::removePickSet | ( | const MultiID & |  | ) |

## ◆ reSetPrevDragMode()

void uiODViewer2DMgr::reSetPrevDragMode | ( | uiODViewer2D * |  | ) |
| protected

## ◆ setAllIntersectionPositions()

void uiODViewer2DMgr::setAllIntersectionPositions | ( |  | ) |
| protected

## ◆ setAuxAnnotLineStyles()

void uiODViewer2DMgr::setAuxAnnotLineStyles | ( | uiFlatViewer & | ,
|  | bool | forx1 )
| protected

## ◆ setupCurInterpItem()

void uiODViewer2DMgr::setupCurInterpItem | ( | uiODViewer2D * |  | ) |

## ◆ setupFaults()

void uiODViewer2DMgr::setupFaults | ( | uiODViewer2D * |  | ) |
| protected

## ◆ setupFaultSSs()

void uiODViewer2DMgr::setupFaultSSs | ( | uiODViewer2D * |  | ) |
| protected

## ◆ setupHorizon2Ds()

void uiODViewer2DMgr::setupHorizon2Ds | ( | uiODViewer2D * |  | ) |
| protected

## ◆ setupHorizon3Ds()

void uiODViewer2DMgr::setupHorizon3Ds | ( | uiODViewer2D * |  | ) |
| protected

## ◆ setupPickSets()

void uiODViewer2DMgr::setupPickSets | ( | uiODViewer2D * |  | ) |
| protected

## ◆ setVWR2DIntersectionPositions()

void uiODViewer2DMgr::setVWR2DIntersectionPositions | ( | uiODViewer2D * |  | ) |
| protected

## ◆ sKeyAttrID()

static const char * uiODViewer2DMgr::sKeyAttrID | ( |  | ) |
| inline static

## ◆ sKeyVisID()

static const char * uiODViewer2DMgr::sKeyVisID | ( |  | ) |
| inline static

## ◆ sKeyWVA()

static const char * uiODViewer2DMgr::sKeyWVA | ( |  | ) |
| inline static

## ◆ surveyChangedCB()

void uiODViewer2DMgr::surveyChangedCB | ( | CallBacker * |  | ) |

## ◆ treeItemFactorySet2D()

uiTreeFactorySet * uiODViewer2DMgr::treeItemFactorySet2D | ( |  | ) |
| inline

## ◆ treeItemFactorySet3D()

uiTreeFactorySet * uiODViewer2DMgr::treeItemFactorySet3D | ( |  | ) |
| inline

## ◆ usePar()

void uiODViewer2DMgr::usePar | ( | const IOPar & |  | ) |
| protected

## ◆ viewObjAdded()

void uiODViewer2DMgr::viewObjAdded | ( | CallBacker * |  | ) |
| protected

## ◆ viewObjToBeRemoved()

void uiODViewer2DMgr::viewObjToBeRemoved | ( | CallBacker * |  | ) |
| protected

## ◆ viewWinClosedCB()

void uiODViewer2DMgr::viewWinClosedCB | ( | CallBacker * |  | ) |
| protected

## ◆ visServ()

uiVisPartServer & uiODViewer2DMgr::visServ | ( |  | ) |
| inline protected

## ◆ vw2DPosChangedCB()

void uiODViewer2DMgr::vw2DPosChangedCB | ( | CallBacker * |  | ) |
| protected

## Friends And Related Symbol Documentation

## ◆ uiODMain

friend class uiODMain
| friend

## Member Data Documentation

## ◆ appl_

uiODMain& uiODViewer2DMgr::appl_
| protected

## ◆ geom2dids_

TypeSet<Pos::GeomID> uiODViewer2DMgr::geom2dids_
| protected

## ◆ l2dim_

Line2DIntersectionManager& uiODViewer2DMgr::l2dim_
| protected

## ◆ selauxannot_

SelectedAuxAnnot uiODViewer2DMgr::selauxannot_
| protected

## ◆ tifs2d_

uiTreeFactorySet* uiODViewer2DMgr::tifs2d_
| protected

## ◆ tifs3d_

uiTreeFactorySet* uiODViewer2DMgr::tifs3d_
| protected

## ◆ viewers2d_

ObjectSet<uiODViewer2D> uiODViewer2DMgr::viewers2d_
| protected

## ◆ vw2dObjAdded

CNotifier<uiODViewer2DMgr,Vis2DID> uiODViewer2DMgr::vw2dObjAdded

## ◆ vw2dObjToBeRemoved

CNotifier<uiODViewer2DMgr,Vis2DID> uiODViewer2DMgr::vw2dObjToBeRemoved

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025